PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "accept: application/json"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "example-project",
"max_pods": 5,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-16T23:32:18.014693Z"
}
Projects
Get project details
Get details about a project.
GET
/
admin
/
projects
/
{project_id}
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "accept: application/json"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "example-project",
"max_pods": 5,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-16T23:32:18.014693Z"
}
Documentation Index
Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt
Use this file to discover all available pages before exploring further.
PINECONE_PROJECT_ID="32c8235a-5220-4a80-a9f1-69c24109e6f2"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/projects/$PINECONE_PROJECT_ID" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "accept: application/json"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "example-project",
"max_pods": 5,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-16T23:32:18.014693Z"
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Path Parameters
Project ID
Response
The details of a project.
The details of a project.
The unique ID of the project.
The name of the project.
Required string length:
1 - 512The maximum number of Pods that can be created in the project.
Whether to force encryption with a customer-managed encryption key (CMEK).
The unique ID of the organization that the project belongs to.
The date and time when the project was created.
Was this page helpful?
⌘I